using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Infragistics.WebUI.UltraWebNavigator;

public partial class WebTree : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            UltraWebTree1.Nodes.Add("RootNode", 0);
            UltraWebTree1.Nodes[0].Expand(false);

            UltraWebTree1.Nodes[0].Nodes.Add("ChildNode1", 1);
            UltraWebTree1.Nodes[0].Nodes.Add("ChildNode2", 2);
            UltraWebTree1.Nodes[0].Nodes.Add("ChildNode3", 3);

            foreach (Node node in UltraWebTree1.Nodes[0].Nodes)
            {
                node.ShowExpand = true;                
            }
        }
    }

    protected void WebTree1_DemandLoad(object sender, WebTreeNodeEventArgs e)
    {
        if (e.Node.Text.Equals("ChildNode1"))
        {
            UltraWebTree1.Nodes[0].Nodes[0].Nodes.Add("ChildNode1ChildNode1", 11);
            UltraWebTree1.Nodes[0].Nodes[0].Nodes.Add("ChildNode1ChildNode2", 12);
            UltraWebTree1.Nodes[0].Nodes[0].Nodes.Add("ChildNode1ChildNode3", 13);
        }
        else if (e.Node.Text.Equals("ChildNode2"))
        {
            UltraWebTree1.Nodes[0].Nodes[1].Nodes.Add("ChildNode2ChildNode1", 21);
            UltraWebTree1.Nodes[0].Nodes[1].Nodes.Add("ChildNode2ChildNode2", 22);
            UltraWebTree1.Nodes[0].Nodes[1].Nodes.Add("ChildNode2ChildNode3", 23);
        }
        else if (e.Node.Text.Equals("ChildNode3"))
        {
            UltraWebTree1.Nodes[0].Nodes[2].Nodes.Add("ChildNode3ChildNode1", 31);
            UltraWebTree1.Nodes[0].Nodes[2].Nodes.Add("ChildNode3ChildNode2", 32);
            UltraWebTree1.Nodes[0].Nodes[2].Nodes.Add("ChildNode3ChildNode3", 33);            
        }
    }

    protected void btnAddNode_Click(object sender, EventArgs e)
    {
        Node SelectedNode = UltraWebTree1.SelectedNode;
        SelectedNode.Nodes.Clear();

        SelectedNode.Nodes.Add("SearchChildNode1", 91);
        SelectedNode.Nodes.Add("SearchChildNode2", 92);
        SelectedNode.Nodes.Add("SearchChildNode3", 93);
    }
}
